﻿@page
@model TrabajoIntegrador.Pages.NuevoModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<h1>
    Creacion de un nuevo archivo.
</h1>

<a asp-page="Index">
    Ir al listado
</a>

<br />

<form method="post" href="Nuevo">
    @Html.LabelFor(m => m.archivo.Name):
    @Html.EditorFor(m => m.archivo.Name, new { htmlAttributes = new { placeholder = "Ingrese el nombre del archivo" } })
    @Html.ValidationMessageFor(m => m.archivo.Name)
    <br />
    @Html.LabelFor(m => m.archivo.Extension):
    @Html.EditorFor(m => m.archivo.Extension, new { htmlAttributes = new { placeholder = "Ingrese la extensión del archivo" } })
    @Html.ValidationMessageFor(m => m.archivo.Extension)
    <br />
    <input asp-page-handler="Guardar"
           type="submit"
           value="Guardar" />
</form>